For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GithubSign up
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
  • API Reference
        • GETFlight info for task
LogoLogo
GithubSign up
API ReferenceShippingFlights

Flight info for task

GET
/shipping/flights/flight_info/for_task/v1/:task_id
GET
/shipping/flights/flight_info/for_task/v1/:task_id
1import { ChrtClient } from "@chrt-inc/typescript-sdk";
2
3async function main() {
4 const client = new ChrtClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.shipping.flights.getFlightInfoForTaskV1("task_id");
8}
9main();
1{
2 "flight_number": "flight_number",
3 "fa_flight_ids": [
4 "fa_flight_ids"
5 ]
6}

Returns flight info from an adjacent FLIGHT task group for TENDER_TO_AIRLINE or RECOVER_FROM_AIRLINE tasks. | authz_personas=[driver_for_executor, coordinator_org_operators, executor_org_operators, shipper_org_operators] | () -> (FlightInfoForTaskRes)

Was this page helpful?
Previous

Add to task

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

task_idstringRequired

Response

Successful Response
flight_numberstring
fa_flight_idslist of strings

Errors

422
Flights Get Flight Info for Task V1request Unprocessable Entity Error